Subject: Re: [alpine-devel] Running bootstrap.sh from aports failed.

From: Magicloud Magiclouds <[email-masked]>
Date: Thu, 7 Mar 2019 14:12:39 +0800

I just manually retried the whole process, I got the direct reason, but not
root cause:

In my case, the APKINDEX in ~/packages are not signed correctly. I did not
know why. I generated my cert via `abuild-keygen -ain`, and see correct
things in ~/.abuild/ and /etc/apk/keys. But even I signed the APKINDEX
manually, it was still untrusted.

After wiped everything, it works so far.

John Miner <[email-masked]> 于2019年3月7日周四 下午1:03写道：

> I get a similar error when I run bootstrap but a different dependency.
>
>
> >>> musl-dev: Updating the main/armhf repository index...
> >>> musl-dev: Signing the index...
> >>> gcc-pass2-armhf: Building main/gcc-pass2-armhf 8.2.0-r2 (using abuild
> 3.3.1-r0) started Thu, 07 Mar 2019 00:00:16 -0500
> >>> gcc-pass2-armhf: Checking sanity of
> /home/john/aports/main/gcc/APKBUILD...
> >>> WARNING: gcc-pass2-armhf: g++ should not be in makedepends
> >>> gcc-pass2-armhf: Analyzing dependencies...
> ERROR: unsatisfiable constraints:
>   binutils-armhf (missing):
>     required by: .makedepends-gcc-pass2-armhf-0[binutils-armhf]
> >>> ERROR: gcc-pass2-armhf: builddeps failed
> >>> gcc-pass2-armhf: Uninstalling dependencies...
>
>
>
>
> > Sent: Wednesday, March 06, 2019 at 9:34 PM
> > From: "Magicloud Magiclouds" <[email-masked]>
> > To: [email-masked]
> > Subject: [alpine-devel] Running bootstrap.sh from aports failed.
> >
> > Hi,
> >
> > I was able to use bootstrap.sh to get a cross build tool chain. But
> > from yesterday, after I `git pull --rebase` on aports 3.9-stable
> > branch, I failed running the script.
> >
> > $ ./bootstrap.sh aarch64
> > >>> bootstrap-aarch64: Building cross-compiler
> > >>> binutils-aarch64: Package is up to date
> > >>> musl-dev: Package is up to date
> > >>> gcc-pass2-aarch64: Package is up to date
> > >>> musl: Package is up to date
> > >>> gcc-aarch64: Building main/gcc-aarch64 8.2.0-r2 (using abuild
> 3.3.1-r0) started Thu, 07 Mar 2019 02:34:15 +0000
> > >>> gcc-aarch64: Checking sanity of
> /home/abuilder/aports/main/gcc/APKBUILD...
> > >>> WARNING: gcc-aarch64: g++ should not be in makedepends
> > >>> gcc-aarch64: Analyzing dependencies...
> > ERROR: unsatisfiable constraints:
> >   musl (missing):
> >     required by: .makedepends-gcc-aarch64-0[musl]
> >   musl-dev (missing):
> >     required by: .makedepends-gcc-aarch64-0[musl-dev]
> > >>> ERROR: gcc-aarch64: builddeps failed
> > >>> gcc-aarch64: Uninstalling dependencies...
> >
> > --
> > 竹密岂妨流水过
> > 山高哪阻野云飞
> >
> > And for G+, please use magiclouds#gmail.com.
> >
> >
> > ---
> > Unsubscribe:  [email-masked]
> > Help:         [email-masked]
> > ---
> >
> >
>